(set-info :smt-lib-version 2.6)
(set-logic QF_ALIA)
(set-info :source |
Translated from old SVC processor verification benchmarks.  Contact Clark
Barrett at barrett@cs.nyu.edu for more information.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun CONFSTATE_S2_INIT () Int)
(declare-fun CONFSTALL_S2M_INIT () Bool)
(declare-fun VALID1_SEL1_S2_INIT () Bool)
(declare-fun VALID1_RW1_S2_INIT () Bool)
(declare-fun VALID1_CACHEDOUT_S2_INIT () Bool)
(declare-fun DTAG1_ADDR_S2_INIT () Int)
(declare-fun DTAG1_CACHEDOUT_S2_INIT () Int)
(declare-fun DTAGREAD_S2M_INIT () Bool)
(declare-fun INSTRISLOAD_S2M_INIT () Bool)
(declare-fun EXTSTATE_S2_INIT () Int)
(declare-fun INSTRISSTORE_S2W_INIT () Bool)
(declare-fun FLUSHSTATE_S2_INIT () Int)
(declare-fun MCBUSY_S2_INIT () Bool)
(declare-fun DEXTREQ_S2_INIT () Bool)
(declare-fun XFERCNT_S2_INIT () Int)
(declare-fun DCACHEDATAVALID_S2_INIT () Bool)
(declare-fun RESTARTED_S2_INIT () Bool)
(declare-fun DOLOAD_INIT () Bool)
(declare-fun DOSOMETHING_INIT () Bool)
(declare-fun NON_DET_DELAY_INIT () Bool)
(declare-fun DIRTY1_SEL1_S2_INIT () Bool)
(declare-fun DIRTY1_RW1_S2_INIT () Bool)
(declare-fun DIRTY1_CACHEDOUT_S2_INIT () Bool)
(declare-fun INSTRISSTORE_S2M_INIT () Bool)
(declare-fun DCACHEHIT1_S1W_INIT () Bool)
(declare-fun INSTRISSTORE_S1W_INIT () Bool)
(declare-fun SBWRITE_S2_INIT () Bool)
(declare-fun MCREQ_S2_INIT () Bool)
(declare-fun MCREAD_S2_INIT () Bool)
(declare-fun DELAYEDMCWRITE_S2_INIT () Bool)
(declare-fun DMEM_INIT () (Array Int Int))
(declare-fun DELAYEDMCADDR_S2_INIT () Int)
(declare-fun DRVMCDBDATA_S2_INIT () Bool)
(declare-fun SBOUT_S2_INIT () Int)
(declare-fun NO_VALUE () Int)
(declare-fun EXTSTATE_S1_INIT () Int)
(declare-fun FLUSHSTATE_S1_INIT () Int)
(declare-fun DTAGDATA1_S1_INIT () Int)
(declare-fun MISSADDR_S1W_INIT () Int)
(declare-fun SB_SEL_S2_INIT () Bool)
(declare-fun SB_RW_S2_INIT () Bool)
(declare-fun SB_OUT_S2_INIT () Int)
(declare-fun DTAG1_RW1_S2_INIT () Bool)
(declare-fun DTAG1_DATA_INIT () Int)
(declare-fun DCACHESEL_S2M_INIT () Bool)
(declare-fun DCACHERW_S2M_INIT () Bool)
(declare-fun DCACHE_OUT_S2_INIT () Int)
(declare-fun DTAG1_SEL1_S2_INIT () Bool)
(declare-fun SB_IN_S2_INIT () Int)
(declare-fun SB_DATA_INIT () Int)
(declare-fun STOREADDR_S2M_INIT () Int)
(declare-fun STOREADDR_S1W_INIT () Int)
(declare-fun STOREDATA_S2M_INIT () Int)
(declare-fun STOREDATA_S1W_INIT () Int)
(declare-fun MCDBDATA_OUT_S2_INIT () Int)
(declare-fun MCDATA_S1_INIT () Int)
(declare-fun DIRTY1_IN_S2_INIT () Bool)
(declare-fun DIRTY1_DATA_INIT () Bool)
(declare-fun VALID1_IN_S2_INIT () Bool)
(declare-fun VALID1_DATA_INIT () Bool)
(declare-fun DCACHE_IN_S2_INIT () Int)
(declare-fun DCACHE_DATA_INIT () Int)
(declare-fun MEMADDR_S1M_INIT () Int)
(declare-fun STOREDATA_S1M_INIT () Int)
(declare-fun BLOADDATA_S1W_INIT () Int)
(declare-fun DEXTREAD_S2_INIT () Bool)
(declare-fun DCACHEDATAVALID_S1_INIT () Bool)
(declare-fun DCACHEMISS_S1W_INIT () Bool)
(declare-fun REQWAITING_S2_INIT () Bool)
(declare-fun CCMEMREQ_S1_INIT () Bool)
(declare-fun MCREAD_S1_INIT () Bool)
(declare-fun DELAYEDMCWRITE_S1_INIT () Bool)
(declare-fun XFERCNT_S1_INIT () Int)
(declare-fun DRVMCDBDATA_S1_INIT () Bool)
(declare-fun CONFSTATE_S1_INIT () Int)
(declare-fun MCDBDATAVALID_S1_INIT () Bool)
(declare-fun MCDBDATAVALID_S2_INIT () Bool)
(declare-fun RESTARTED_S1_INIT () Bool)
(declare-fun SBWRITE_S1_INIT () Bool)
(declare-fun BWASLOAD_S1W_INIT () Bool)
(declare-fun VALID1_ADDR_S2_INIT () Int)
(declare-fun DCACHE_ADDR_S2_INIT () Int)
(declare-fun DIRTY1_ADDR_S2_INIT () Int)
(declare-fun DELAYEDMCADDR_S1_INIT () Int)
(declare-fun SB_IN_S1_INIT () Int)
(declare-fun SBOUT_S1_INIT () Int)
(declare-fun SBDELAYADDR_S2_INIT () Int)
(declare-fun REQWAITING_S1B_INIT () Bool)
(declare-fun SBDELAYADDR_S1_INIT () Int)
(declare-fun SB_ADDR_S2_INIT () Int)
(declare-fun MCADDR_S2_INIT () Int)
(assert (let ((?v_80 (= CONFSTATE_S2_INIT 10)) (?v_11 (ite (ite VALID1_SEL1_S2_INIT VALID1_RW1_S2_INIT false) VALID1_CACHEDOUT_S2_INIT false)) (?v_19 (= DTAG1_ADDR_S2_INIT DTAG1_CACHEDOUT_S2_INIT))) (let ((?v_1 (ite (ite (ite ?v_11 false true) true (ite ?v_19 false true)) DTAGREAD_S2M_INIT false)) (?v_0 (= EXTSTATE_S2_INIT 11)) (?v_20 (= CONFSTATE_S2_INIT 12)) (?v_2 (= EXTSTATE_S2_INIT 13))) (let ((?v_24 (ite ?v_80 (ite (ite CONFSTALL_S2M_INIT (ite (ite ?v_1 false true) (ite INSTRISLOAD_S2M_INIT ?v_0 false) false) false) 12 10) (ite ?v_20 (ite ?v_2 10 14) 10)))) (let ((?v_23 (= ?v_24 10)) (?v_83 (ite INSTRISSTORE_S2W_INIT false true)) (?v_7 (= EXTSTATE_S2_INIT 15)) (?v_8 (= FLUSHSTATE_S2_INIT 16)) (?v_38 (= EXTSTATE_S2_INIT 17)) (?v_86 (ite MCBUSY_S2_INIT false true))) (let ((?v_14 (ite ?v_86 DEXTREQ_S2_INIT false)) (?v_88 (= EXTSTATE_S2_INIT 18)) (?v_3 (= EXTSTATE_S2_INIT 19)) (?v_12 (= XFERCNT_S2_INIT 20)) (?v_9 (= FLUSHSTATE_S2_INIT 21))) (let ((?v_92 (ite ?v_9 false true)) (?v_89 (= EXTSTATE_S2_INIT 22))) (let ((?v_6 (ite ?v_0 (ite (ite ?v_1 INSTRISSTORE_S2W_INIT false) 13 (ite (ite ?v_1 ?v_83 false) 15 11)) (ite ?v_2 15 (ite ?v_7 (ite (ite ?v_8 false true) 15 17) (ite ?v_38 (ite ?v_14 18 17) (ite ?v_88 19 (ite ?v_3 (ite (ite ?v_12 ?v_92 false) 22 19) (ite ?v_89 23 11))))))))) (let ((?v_22 (= ?v_6 11))) (let ((?v_4 (ite ?v_22 false true))) (let ((?v_61 (ite (ite ?v_23 false true) true (ite ?v_4 true ?v_1))) (?v_56 (ite INSTRISLOAD_S2M_INIT (ite ?v_3 DCACHEDATAVALID_S2_INIT false) false))) (let ((?v_62 (ite (ite ?v_56 true (ite RESTARTED_S2_INIT ?v_4 false)) false true)) (?v_5 (ite DOLOAD_INIT DOSOMETHING_INIT false)) (?v_60 (ite DOLOAD_INIT false true))) (let ((?v_16 (ite ?v_60 DOSOMETHING_INIT false))) (let ((?v_15 (ite (ite ?v_61 (ite ?v_62 true (ite ?v_5 true ?v_16)) false) false true)) (?v_75 (ite DOSOMETHING_INIT DOLOAD_INIT false))) (let ((?v_59 (ite ?v_15 ?v_75 false)) (?v_72 (ite (ite ?v_61 ?v_62 false) false true)) (?v_25 (= ?v_6 19))) (let ((?v_17 (ite ?v_25 false true)) (?v_26 (= ?v_6 22))) (let ((?v_18 (ite ?v_26 false true))) (let ((?v_63 (ite ?v_17 ?v_18 false)) (?v_57 (ite DTAGREAD_S2M_INIT (ite ?v_11 ?v_19 false) false))) (let ((?v_64 (ite (ite INSTRISSTORE_S2M_INIT DTAGREAD_S2M_INIT false) ?v_57 DCACHEHIT1_S1W_INIT)) (?v_79 (ite INSTRISLOAD_S2M_INIT false true)) (?v_129 (ite ?v_20 true ?v_2))) (let ((?v_45 (ite ?v_79 true ?v_129)) (?v_21 (= EXTSTATE_S2_INIT 23))) (let ((?v_28 (ite ?v_45 (ite INSTRISSTORE_S2M_INIT (ite ?v_21 false true) false) INSTRISSTORE_S1W_INIT)) (?v_65 (ite ?v_22 ?v_23 false)) (?v_48 (= ?v_24 12)) (?v_49 (= ?v_6 13))) (let ((?v_66 (ite ?v_48 true ?v_49)) (?v_29 (ite ?v_25 true ?v_26)) (?v_27 (= ?v_6 23))) (let ((?v_50 (ite ?v_27 ?v_28 false))) (let ((?v_67 (ite (ite ?v_29 DCACHEDATAVALID_S2_INIT false) true ?v_50)) (?v_90 (= FLUSHSTATE_S2_INIT 27)) (?v_13 (= FLUSHSTATE_S2_INIT 24)) (?v_91 (= FLUSHSTATE_S2_INIT 28)) (?v_31 (= FLUSHSTATE_S2_INIT 29))) (let ((?v_30 (ite ?v_8 (ite (ite ?v_7 (ite (ite (ite DIRTY1_SEL1_S2_INIT DIRTY1_RW1_S2_INIT false) DIRTY1_CACHEDOUT_S2_INIT false) ?v_11 false) false) 21 16) (ite ?v_9 (ite ?v_12 27 21) (ite ?v_90 (ite ?v_21 24 27) (ite ?v_13 (ite ?v_14 28 24) (ite ?v_91 (ite DCACHEDATAVALID_S2_INIT 29 28) (ite ?v_31 (ite ?v_12 16 29) 16)))))))) (let ((?v_34 (= ?v_30 27)) (?v_85 (ite SBWRITE_S2_INIT false true))) (let ((?v_35 (ite ?v_85 false true)) (?v_36 (= ?v_6 17)) (?v_41 (= ?v_30 29)) (?v_82 (ite MCREAD_S2_INIT false true)) (?v_33 (ite DELAYEDMCWRITE_S2_INIT (store DMEM_INIT DELAYEDMCADDR_S2_INIT (ite DRVMCDBDATA_S2_INIT SBOUT_S2_INIT NO_VALUE)) DMEM_INIT)) (?v_124 (= EXTSTATE_S1_INIT 18)) (?v_32 (= FLUSHSTATE_S1_INIT 28))) (let ((?v_37 (ite (ite (ite ?v_31 true ?v_41) (ite MCREQ_S2_INIT ?v_82 false) false) (store ?v_33 (ite (ite ?v_124 true ?v_32) (ite ?v_32 DTAGDATA1_S1_INIT MISSADDR_S1W_INIT) NO_VALUE) (ite (ite SB_SEL_S2_INIT SB_RW_S2_INIT false) SB_OUT_S2_INIT NO_VALUE)) ?v_33)) (?v_97 (ite DTAG1_RW1_S2_INIT false true))) (let ((?v_42 (ite ?v_97 DTAG1_ADDR_S2_INIT DTAG1_DATA_INIT)) (?v_58 (ite (ite DCACHESEL_S2M_INIT DCACHERW_S2M_INIT false) DCACHE_OUT_S2_INIT NO_VALUE))) (let ((?v_39 (ite ?v_9 ?v_58 NO_VALUE)) (?v_43 (ite ?v_38 (ite (ite DTAG1_SEL1_S2_INIT DTAG1_RW1_S2_INIT false) DTAG1_CACHEDOUT_S2_INIT NO_VALUE) DTAGDATA1_S1_INIT)) (?v_40 (= ?v_30 21)) (?v_173 (ite SB_RW_S2_INIT false true))) (let ((?v_44 (ite ?v_173 SB_IN_S2_INIT SB_DATA_INIT))) (let ((?v_46 (ite (ite ?v_34 (ite ?v_35 ?v_36 false) false) (store ?v_37 ?v_42 ?v_39) (ite (ite ?v_34 (ite ?v_35 (ite ?v_36 false true) false) false) (store ?v_37 ?v_43 ?v_39) (ite (ite (ite (= ?v_30 16) false true) (ite (ite ?v_40 false true) (ite ?v_41 false true) false) false) (ite ?v_36 (store ?v_37 ?v_42 ?v_44) (store ?v_37 ?v_43 ?v_44)) ?v_37)))) (?v_52 (ite ?v_45 STOREADDR_S2M_INIT STOREADDR_S1W_INIT)) (?v_51 (ite ?v_45 STOREDATA_S2M_INIT STOREDATA_S1W_INIT))) (let ((?v_68 (ite ?v_28 (store ?v_46 ?v_52 ?v_51) ?v_46)) (?v_69 (ite ?v_48 true (ite ?v_49 true ?v_50))) (?v_70 (ite DCACHEDATAVALID_S2_INIT MCDBDATA_OUT_S2_INIT MCDATA_S1_INIT)) (?v_151 (ite DCACHERW_S2M_INIT false true))) (let ((?v_53 (ite (ite (ite (ite DIRTY1_RW1_S2_INIT false true) DIRTY1_IN_S2_INIT DIRTY1_DATA_INIT) (ite (ite (ite VALID1_RW1_S2_INIT false true) VALID1_IN_S2_INIT VALID1_DATA_INIT) (ite ?v_34 false true) false) false) (store ?v_46 ?v_42 (ite ?v_151 DCACHE_IN_S2_INIT DCACHE_DATA_INIT)) ?v_46))) (let ((?v_71 (ite ?v_28 (store ?v_53 ?v_52 ?v_51) ?v_53))) (let ((?v_73 (ite (ite (ite (ite (ite (ite ?v_64 (ite (ite ?v_28 ?v_65 false) true ?v_66) false) true ?v_67) false true) false true) ?v_17 false) (ite ?v_29 ?v_68 (store ?v_46 ?v_42 (ite (ite (ite ?v_28 ?v_22 false) true ?v_69) ?v_51 ?v_70))) ?v_71)) (?v_77 (ite ?v_72 MEMADDR_S1M_INIT STOREADDR_S2M_INIT))) (let ((?v_74 (ite (ite (ite ?v_72 false INSTRISSTORE_S2M_INIT) ?v_63 false) (store ?v_73 ?v_77 (ite ?v_72 STOREDATA_S1M_INIT STOREDATA_S2M_INIT)) ?v_73)) (?v_81 (= XFERCNT_S2_INIT 25)) (?v_10 (= XFERCNT_S2_INIT 26))) (let ((?v_76 (ite (ite ?v_17 true (ite (= (ite (ite ?v_13 true (ite ?v_7 ?v_8 false)) 25 (ite (ite DCACHEDATAVALID_S2_INIT true ?v_9) (ite ?v_81 26 (ite (ite ?v_10 NON_DET_DELAY_INIT false) 26 (ite (ite ?v_10 (ite NON_DET_DELAY_INIT false true) false) 20 25))) XFERCNT_S2_INIT)) 25) true ?v_40)) (ite ?v_18 (ite ?v_27 false true) false) false)) (?v_84 (ite RESTARTED_S2_INIT false true))) (let ((?v_78 (ite (ite ?v_84 (ite (ite INSTRISLOAD_S2M_INIT DTAGREAD_S2M_INIT false) true ?v_56) false) (ite ?v_56 MCDBDATA_OUT_S2_INIT (ite (ite INSTRISLOAD_S2M_INIT ?v_57 false) ?v_58 NO_VALUE)) BLOADDATA_S1W_INIT)) (?v_47 (ite ?v_5 false true))) (let ((?v_54 (ite (ite (ite (ite (ite (ite ?v_64 (ite (ite ?v_28 (ite ?v_47 ?v_65 false) false) true ?v_66) false) true ?v_67) false true) false true) ?v_17 false) (ite ?v_29 ?v_68 (store ?v_46 ?v_42 (ite (ite (ite ?v_28 (ite ?v_47 ?v_22 false) false) true ?v_69) ?v_51 ?v_70))) ?v_71)) (?v_55 (ite ?v_15 MEMADDR_S1M_INIT STOREADDR_S2M_INIT)) (?v_87 (ite INSTRISSTORE_S2M_INIT false true)) (?v_111 (ite DTAGREAD_S2M_INIT false true)) (?v_99 (ite DIRTY1_SEL1_S2_INIT false true)) (?v_96 (ite DIRTY1_DATA_INIT false true)) (?v_95 (ite VALID1_DATA_INIT false true)) (?v_100 (ite VALID1_SEL1_S2_INIT false true)) (?v_134 (= EXTSTATE_S1_INIT 11)) (?v_157 (ite CONFSTALL_S2M_INIT false true)) (?v_156 (ite INSTRISSTORE_S1W_INIT false true)) (?v_121 (ite MCREQ_S2_INIT false true)) (?v_117 (ite DELAYEDMCWRITE_S2_INIT false true)) (?v_153 (ite DCACHEMISS_S1W_INIT false true)) (?v_116 (ite MCREAD_S1_INIT false true)) (?v_113 (= CONFSTATE_S1_INIT 10)) (?v_165 (ite RESTARTED_S1_INIT false true)) (?v_118 (ite SBWRITE_S1_INIT false true)) (?v_106 (ite ?v_91 true ?v_31))) (let ((?v_93 (ite ?v_13 true ?v_106)) (?v_128 (= CONFSTATE_S2_INIT 14)) (?v_174 (ite ?v_9 true ?v_90)) (?v_94 (ite ?v_89 true ?v_21))) (let ((?v_187 (ite ?v_3 true ?v_94)) (?v_98 (ite ?v_13 true DEXTREAD_S2_INIT)) (?v_101 (= EXTSTATE_S1_INIT 17)) (?v_102 (ite ?v_3 false true)) (?v_103 (= EXTSTATE_S1_INIT 19)) (?v_158 (= EXTSTATE_S1_INIT 22))) (let ((?v_104 (ite ?v_158 true DCACHERW_S2M_INIT)) (?v_179 (ite ?v_31 true ?v_91))) (let ((?v_105 (ite (ite ?v_92 VALID1_IN_S2_INIT false) true ?v_179)) (?v_107 (ite ?v_106 true SBWRITE_S1_INIT)) (?v_109 (ite VALID1_IN_S2_INIT DCACHEDATAVALID_S1_INIT false))) (let ((?v_108 (ite DTAGREAD_S2M_INIT true ?v_109)) (?v_110 (ite ?v_109 false true)) (?v_133 (ite ?v_80 false true)) (?v_112 (ite ?v_7 true DEXTREAD_S2_INIT))) (let ((?v_114 (ite VALID1_RW1_S2_INIT true ?v_112)) (?v_115 (ite ?v_111 false true)) (?v_119 (ite DRVMCDBDATA_S1_INIT true ?v_31)) (?v_120 (ite REQWAITING_S2_INIT true CCMEMREQ_S1_INIT)) (?v_122 (ite MCREQ_S2_INIT MCREAD_S1_INIT MCDBDATAVALID_S1_INIT)) (?v_123 (ite (ite (ite REQWAITING_S1B_INIT false true) MCREQ_S2_INIT false) true REQWAITING_S1B_INIT)) (?v_138 (ite INSTRISSTORE_S1W_INIT ?v_0 false)) (?v_130 (ite ?v_21 INSTRISSTORE_S1W_INIT false))) (let ((?v_125 (ite ?v_20 true (ite ?v_2 true ?v_130))) (?v_126 (= DCACHE_IN_S2_INIT STOREDATA_S1W_INIT)) (?v_127 (= DCACHE_IN_S2_INIT MCDATA_S1_INIT)) (?v_131 (ite ?v_128 true (ite ?v_7 true SBWRITE_S2_INIT))) (?v_139 (ite ?v_0 ?v_80 false)) (?v_132 (ite (ite (ite VALID1_IN_S2_INIT true ?v_89) DCACHEDATAVALID_S1_INIT false) true ?v_130))) (let ((?v_150 (ite (ite DCACHEHIT1_S1W_INIT (ite (ite INSTRISSTORE_S1W_INIT ?v_139 false) true ?v_129) false) true ?v_132)) (?v_159 (ite ?v_20 false true)) (?v_152 (ite (ite DCACHEHIT1_S1W_INIT ?v_129 false) true ?v_132)) (?v_176 (ite ?v_0 false true))) (let ((?v_135 (ite ?v_133 true (ite ?v_176 true DCACHEMISS_S1W_INIT))) (?v_170 (ite ?v_134 false true))) (let ((?v_164 (ite ?v_133 true (ite ?v_170 true DCACHEMISS_S1W_INIT)))) (let ((?v_167 (ite ?v_164 false true))) (let ((?v_166 (ite ?v_167 false BWASLOAD_S1W_INIT)) (?v_136 (ite MCREAD_S2_INIT MCREQ_S2_INIT false)) (?v_137 (= (select DMEM_INIT MCADDR_S2_INIT) MCDBDATA_OUT_S2_INIT)) (?v_141 (ite ?v_133 true ?v_2))) (let ((?v_145 (ite ?v_138 true ?v_141)) (?v_142 (= DTAG1_ADDR_S2_INIT STOREADDR_S1W_INIT)) (?v_143 (= DTAG1_ADDR_S2_INIT MISSADDR_S1W_INIT))) (let ((?v_140 (ite ?v_145 ?v_142 ?v_143)) (?v_144 (ite ?v_141 ?v_142 ?v_143)) (?v_146 (= DIRTY1_ADDR_S2_INIT STOREADDR_S1W_INIT)) (?v_147 (= DIRTY1_ADDR_S2_INIT MISSADDR_S1W_INIT)) (?v_148 (ite ?v_80 ?v_0 false))) (let ((?v_149 (ite ?v_141 ?v_146 ?v_147)) (?v_154 (ite DCACHEDATAVALID_S1_INIT ?v_31 ?v_91)) (?v_155 (ite MCREQ_S2_INIT ?v_91 ?v_13)) (?v_191 (ite ?v_156 ?v_157 true)) (?v_160 (ite ?v_128 true (ite (= EXTSTATE_S1_INIT 15) true SBWRITE_S2_INIT))) (?v_161 (ite ?v_20 true (= EXTSTATE_S1_INIT 13))) (?v_162 (ite (ite (ite VALID1_IN_S2_INIT true ?v_158) DCACHEDATAVALID_S1_INIT false) true (ite (= EXTSTATE_S1_INIT 23) INSTRISSTORE_S1W_INIT false)))) (let ((?v_168 (ite (ite DCACHEHIT1_S1W_INIT (ite (ite INSTRISSTORE_S1W_INIT (ite ?v_134 ?v_80 false) false) true ?v_161) false) true ?v_162)) (?v_163 (ite ?v_99 false true)) (?v_169 (ite (ite DCACHEHIT1_S1W_INIT ?v_161 false) true ?v_162)) (?v_171 (ite BWASLOAD_S1W_INIT DCACHEDATAVALID_S1_INIT false))) (let ((?v_172 (ite ?v_171 true ?v_170)) (?v_188 (ite INSTRISLOAD_S2M_INIT true INSTRISSTORE_S2M_INIT)) (?v_182 (= DTAG1_ADDR_S2_INIT STOREADDR_S2M_INIT)) (?v_178 (ite ?v_81 false true))) (let ((?v_175 (ite BWASLOAD_S1W_INIT (ite (ite (ite ?v_3 (ite ?v_178 true ?v_174) false) true ?v_89) DCACHEDATAVALID_S1_INIT false) false))) (let ((?v_177 (ite ?v_175 true ?v_176)) (?v_190 (ite INSTRISLOAD_S2M_INIT INSTRISSTORE_S1W_INIT false)) (?v_180 (= STOREADDR_S1W_INIT STOREADDR_S2M_INIT)) (?v_189 (ite ?v_176 (ite ?v_2 false true) false)) (?v_181 (ite INSTRISSTORE_S2M_INIT ?v_176 false)) (?v_184 (ite ?v_89 true (ite ?v_21 true (ite ?v_3 (ite ?v_92 ?v_12 false) false))))) (let ((?v_183 (ite INSTRISSTORE_S2M_INIT ?v_184 false)) (?v_185 (= DTAG1_ADDR_S2_INIT DTAG1_DATA_INIT)) (?v_186 (= DTAG1_DATA_INIT STOREADDR_S2M_INIT))) (not (ite (ite (= (ite (ite (ite ?v_15 ?v_5 INSTRISLOAD_S2M_INIT) ?v_76 false) (select (ite (ite (ite ?v_15 ?v_16 INSTRISSTORE_S2M_INIT) ?v_63 false) (store ?v_54 ?v_55 (ite ?v_15 STOREDATA_S1M_INIT STOREDATA_S2M_INIT)) ?v_54) ?v_55) ?v_78) (ite ?v_59 (ite ?v_59 (select (ite (ite (ite DOSOMETHING_INIT ?v_60 false) ?v_15 false) (store ?v_74 MEMADDR_S1M_INIT STOREDATA_S1M_INIT) ?v_74) (ite (ite ?v_75 ?v_15 false) MEMADDR_S1M_INIT NO_VALUE)) NO_VALUE) (ite (ite (ite ?v_72 false INSTRISLOAD_S2M_INIT) ?v_76 false) (select ?v_74 ?v_77) ?v_78))) false true) (ite (ite (ite ?v_79 (ite ?v_87 (ite ?v_0 (ite ?v_8 (ite ?v_80 (ite (ite DEXTREAD_S2_INIT false true) (ite ?v_81 (ite DCACHERW_S2M_INIT (ite (ite DCACHESEL_S2M_INIT false true) (ite DTAG1_RW1_S2_INIT (ite (ite DTAG1_SEL1_S2_INIT false true) (ite ?v_111 (ite DIRTY1_RW1_S2_INIT (ite ?v_99 (ite ?v_96 (ite (ite DIRTY1_CACHEDOUT_S2_INIT false true) (ite ?v_95 (ite (ite VALID1_CACHEDOUT_S2_INIT false true) (ite VALID1_RW1_S2_INIT (ite ?v_100 (ite (ite VALID1_IN_S2_INIT false true) (ite (ite DCACHEDATAVALID_S2_INIT false true) (ite ?v_82 (ite ?v_134 (ite (= FLUSHSTATE_S1_INIT 16) (ite (ite DEXTREQ_S2_INIT false true) (ite ?v_157 (ite ?v_156 (ite ?v_83 (ite ?v_84 (ite ?v_121 (ite SB_RW_S2_INIT (ite ?v_85 (ite ?v_117 (ite (ite DCACHEHIT1_S1W_INIT false true) (ite DIRTY1_IN_S2_INIT (ite (ite DCACHEDATAVALID_S1_INIT false true) (ite ?v_153 (ite ?v_86 (ite (ite REQWAITING_S2_INIT false true) (ite (ite CCMEMREQ_S1_INIT false true) (ite ?v_116 (ite (ite DELAYEDMCWRITE_S1_INIT false true) (ite (= XFERCNT_S1_INIT 25) (ite (ite DRVMCDBDATA_S1_INIT false true) (ite ?v_113 (ite (ite MCDBDATAVALID_S1_INIT false true) (ite (ite MCDBDATAVALID_S2_INIT false true) (ite ?v_165 (ite ?v_118 (ite BWASLOAD_S1W_INIT false true) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) true (ite (ite ?v_79 true ?v_87) (ite (ite ?v_0 true (ite ?v_2 true (ite ?v_7 true (ite ?v_38 true (ite ?v_88 true (ite ?v_89 true (ite ?v_3 true ?v_21))))))) (ite (ite ?v_8 true (ite ?v_9 true (ite ?v_90 true ?v_93))) (ite (ite ?v_80 true (ite ?v_20 true ?v_128)) (ite (ite (ite ?v_88 true ?v_3) (ite ?v_8 true ?v_174) true) (ite (ite ?v_94 (ite ?v_8 true ?v_90) true) (ite (ite ?v_0 (ite ?v_84 (ite ?v_8 true (ite ?v_92 true ?v_93)) false) true) (ite (ite ?v_93 (ite ?v_0 true (ite ?v_2 true ?v_7)) true) (ite (ite ?v_90 (ite ?v_38 true (ite ?v_88 true ?v_187)) true) (ite (ite ?v_9 (ite ?v_38 true (ite ?v_88 true (ite ?v_3 true ?v_89))) true) (ite (= DTAG1_ADDR_S2_INIT VALID1_ADDR_S2_INIT) (ite (ite VALID1_CACHEDOUT_S2_INIT VALID1_DATA_INIT ?v_95) (ite (= FLUSHSTATE_S1_INIT FLUSHSTATE_S2_INIT) (ite (ite DIRTY1_CACHEDOUT_S2_INIT DIRTY1_DATA_INIT ?v_96) (ite (= DTAG1_CACHEDOUT_S2_INIT DTAG1_DATA_INIT) (ite (ite VALID1_RW1_S2_INIT DTAG1_RW1_S2_INIT ?v_97) (ite (= SB_DATA_INIT SB_OUT_S2_INIT) (ite (= DCACHE_ADDR_S2_INIT DIRTY1_ADDR_S2_INIT) (ite (ite DEXTREQ_S2_INIT ?v_98 (ite ?v_98 false true)) (ite (ite DCACHESEL_S2M_INIT DIRTY1_SEL1_S2_INIT ?v_99) (ite (ite DTAG1_SEL1_S2_INIT VALID1_SEL1_S2_INIT ?v_100) (ite (= EXTSTATE_S1_INIT EXTSTATE_S2_INIT) (ite (ite DEXTREAD_S2_INIT ?v_101 (ite ?v_101 false true)) (ite (= DCACHE_DATA_INIT DCACHE_OUT_S2_INIT) (ite (ite DIRTY1_IN_S2_INIT ?v_102 (ite ?v_102 false true)) (ite (ite SBWRITE_S2_INIT ?v_9 ?v_92) (ite (ite VALID1_IN_S2_INIT ?v_103 (ite ?v_103 false true)) (ite (ite DIRTY1_RW1_S2_INIT ?v_104 (ite ?v_104 false true)) (ite (ite DCACHEDATAVALID_S2_INIT ?v_105 (ite ?v_105 false true)) (ite (ite SB_SEL_S2_INIT ?v_107 (ite ?v_107 false true)) (ite (ite VALID1_SEL1_S2_INIT ?v_108 (ite ?v_108 false true)) (ite (ite DTAG1_RW1_S2_INIT ?v_110 (ite ?v_110 false true)) (ite (ite (ite (ite (ite ?v_133 VALID1_RW1_S2_INIT false) true ?v_112) DTAGREAD_S2M_INIT ?v_111) true (ite ?v_114 DTAGREAD_S2M_INIT ?v_111)) (ite (ite (ite (ite (ite (ite (ite ?v_113 false true) VALID1_RW1_S2_INIT false) true ?v_112) false true) ?v_111 ?v_115) true (ite (ite ?v_114 false true) ?v_111 ?v_115)) (ite (ite MCREAD_S2_INIT MCREAD_S1_INIT ?v_116) (ite (ite DELAYEDMCWRITE_S1_INIT DELAYEDMCWRITE_S2_INIT ?v_117) (ite (= XFERCNT_S1_INIT XFERCNT_S2_INIT) (ite (= DELAYEDMCADDR_S1_INIT DELAYEDMCADDR_S2_INIT) (ite (= SB_IN_S1_INIT SB_IN_S2_INIT) (ite (= SBOUT_S1_INIT SBOUT_S2_INIT) (ite (ite RESTARTED_S1_INIT RESTARTED_S2_INIT ?v_84) (ite (= CONFSTATE_S1_INIT CONFSTATE_S2_INIT) (ite (ite SB_RW_S2_INIT ?v_118 (ite ?v_118 false true)) (ite (ite DRVMCDBDATA_S2_INIT ?v_119 (ite ?v_119 false true)) (ite (ite MCBUSY_S2_INIT ?v_120 (ite ?v_120 false true)) (ite (ite CCMEMREQ_S1_INIT MCREQ_S2_INIT ?v_121) (ite (= MISSADDR_S1W_INIT SBDELAYADDR_S2_INIT) (ite (ite MCDBDATAVALID_S2_INIT ?v_122 (ite ?v_122 false true)) (ite (ite REQWAITING_S2_INIT ?v_123 (ite ?v_123 false true)) (ite (= (ite SBWRITE_S1_INIT SBDELAYADDR_S1_INIT NO_VALUE) SB_ADDR_S2_INIT) (ite (= (ite (ite ?v_124 true ?v_91) (ite ?v_91 DTAGDATA1_S1_INIT MISSADDR_S1W_INIT) NO_VALUE) MCADDR_S2_INIT) (ite (ite (ite (ite ?v_138 true ?v_125) ?v_126 ?v_127) true (ite ?v_125 ?v_126 ?v_127)) (ite (ite (ite (ite ?v_131 true ?v_150) DIRTY1_SEL1_S2_INIT ?v_99) true (ite (ite (ite (ite ?v_159 ?v_0 false) true ?v_131) true ?v_152) DIRTY1_SEL1_S2_INIT ?v_99)) (ite (ite (ite (ite (ite (ite ?v_135 ?v_84 false) false true) false BWASLOAD_S1W_INIT) INSTRISLOAD_S2M_INIT ?v_79) true (ite (ite ?v_166 INSTRISLOAD_S2M_INIT ?v_79) true (ite (ite (ite ?v_135 false true) true BWASLOAD_S1W_INIT) INSTRISLOAD_S2M_INIT ?v_79))) (ite (ite (ite ?v_136 ?v_137 false) true (ite ?v_136 ?v_137 true)) (ite (ite ?v_140 true (ite (ite ?v_139 false ?v_140) true (ite (ite ?v_139 true ?v_140) true (ite (ite ?v_139 false ?v_144) true (ite ?v_139 true ?v_144))))) (ite (ite (ite ?v_145 ?v_146 ?v_147) true (ite (ite ?v_148 false ?v_149) true (ite ?v_148 true ?v_149))) (ite (ite ?v_0 true (ite ?v_21 true (ite ?v_3 true (ite ?v_89 true (ite (ite MCREQ_S2_INIT ?v_88 ?v_38) true (ite ?v_38 true (ite ?v_7 true (ite (ite DCACHEMISS_S1W_INIT ?v_2 ?v_0) true (ite DCACHEMISS_S1W_INIT ?v_7 ?v_0))))))))) (ite (ite (ite (ite ?v_150 false true) DCACHERW_S2M_INIT ?v_151) true (ite (ite ?v_152 false true) DCACHERW_S2M_INIT ?v_151)) (ite (ite ?v_80 true (ite ?v_128 true (ite (ite ?v_153 BWASLOAD_S1W_INIT false) ?v_20 ?v_80))) (ite (ite DRVMCDBDATA_S1_INIT DCACHEDATAVALID_S1_INIT true) (ite (ite (ite SBWRITE_S1_INIT ?v_9 (ite DRVMCDBDATA_S1_INIT ?v_31 ?v_8)) true (ite (ite SBWRITE_S1_INIT ?v_90 ?v_8) true (ite (ite SBWRITE_S1_INIT ?v_9 ?v_154) true (ite (ite SBWRITE_S1_INIT ?v_90 ?v_154) true (ite (ite SBWRITE_S1_INIT ?v_9 ?v_155) true (ite (ite SBWRITE_S1_INIT ?v_90 ?v_155) true (ite (ite SBWRITE_S1_INIT ?v_9 ?v_90) true (ite ?v_90 true (ite (ite SBWRITE_S1_INIT ?v_9 ?v_13) true (ite (ite SBWRITE_S1_INIT ?v_90 ?v_13) true (ite ?v_8 true ?v_9))))))))))) (ite ?v_191 (ite (ite (ite (ite (ite ?v_160 true ?v_168) false true) ?v_99 ?v_163) true (ite (ite (ite (ite (ite ?v_159 ?v_134 false) true ?v_160) true ?v_169) false true) ?v_99 ?v_163)) (ite (ite (ite (ite (ite (ite (ite ?v_164 ?v_165 false) false true) false BWASLOAD_S1W_INIT) false true) (ite (ite ?v_166 false true) (ite (ite ?v_167 true BWASLOAD_S1W_INIT) false true) false) false) ?v_79 true) (ite (ite (ite (ite MCREQ_S2_INIT MCREQ_S2_INIT false) false true) ?v_82 true) (ite (ite (ite (ite (ite ?v_167 INSTRISSTORE_S1W_INIT false) false true) (ite (ite (ite ?v_164 ?v_84 false) false true) (ite ?v_167 (ite (ite ?v_167 INSTRISSTORE_S1W_INIT true) false true) false) false) false) ?v_83 true) (ite (ite (ite ?v_168 ?v_169 false) ?v_151 true) (ite (ite ?v_165 true (ite (ite RESTARTED_S1_INIT ?v_170 (ite ?v_170 false true)) true (ite (ite RESTARTED_S1_INIT ?v_171 (ite ?v_171 false true)) true (ite RESTARTED_S1_INIT ?v_172 (ite ?v_172 false true))))) (ite (ite MCREQ_S2_INIT (ite ?v_91 true ?v_88) true) (ite (ite MCREAD_S2_INIT ?v_88 (ite ?v_88 false true)) (ite (ite ?v_173 ?v_174 true) (ite (ite (ite ?v_188 (ite ?v_0 (ite ?v_80 ?v_153 false) false) false) ?v_182 true) (ite (ite (ite RESTARTED_S1_INIT ?v_175 (ite ?v_175 false true)) true (ite RESTARTED_S1_INIT ?v_177 (ite ?v_177 false true))) (ite (ite ?v_190 INSTRISSTORE_S2W_INIT true) (ite (ite (ite INSTRISLOAD_S2M_INIT (ite INSTRISSTORE_S1W_INIT (ite ?v_0 ?v_180 false) false) false) (ite CONFSTALL_S2M_INIT true ?v_20) true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_189 false) ?v_156 true) (ite (ite ?v_178 (ite ?v_3 true (ite ?v_9 true ?v_179)) true) (ite (ite (ite ?v_178 ?v_92 false) DCACHEDATAVALID_S1_INIT true) (ite (ite ?v_181 (ite INSTRISSTORE_S1W_INIT ?v_180 false) true) (ite (ite ?v_183 ?v_185 true) (ite (ite (ite INSTRISSTORE_S2M_INIT ?v_94 false) ?v_186 true) (ite (ite ?v_181 ?v_84 true) (ite (ite (ite ?v_3 (ite ?v_92 INSTRISSTORE_S2M_INIT false) false) ?v_182 true) (ite (ite ?v_183 VALID1_DATA_INIT true) (ite (ite (ite ?v_0 INSTRISSTORE_S2M_INIT false) ?v_153 true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_184 false) ?v_185 true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_94 false) ?v_186 true) (ite (ite (ite ?v_7 true (ite ?v_38 true (ite ?v_88 true (ite ?v_2 true ?v_9)))) ?v_84 true) (ite (ite (ite ?v_3 (ite ?v_92 INSTRISLOAD_S2M_INIT false) false) ?v_182 true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_187 false) (= MISSADDR_S1W_INIT STOREADDR_S2M_INIT) true) (ite (ite ?v_94 VALID1_DATA_INIT true) (ite (ite (ite ?v_188 ?v_0 false) DTAGREAD_S2M_INIT true) (ite (ite ?v_189 ?v_80 true) (ite (ite (ite ?v_20 ?v_0 false) (ite ?v_185 VALID1_DATA_INIT false) true) (ite (ite (ite ?v_0 (ite CONFSTALL_S2M_INIT ?v_190 false) false) (ite ?v_182 (ite VALID1_DATA_INIT ?v_180 false) false) true) (ite ?v_191 (ite (ite (ite ?v_0 ?v_190 false) ?v_182 true) (ite (ite ?v_133 ?v_180 true) (ite (ite ?v_138 (= DTAG1_DATA_INIT STOREADDR_S1W_INIT) true) (ite ?v_81 true (ite ?v_10 true ?v_12)) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false)) false true) true))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
